| invn.algo.orientation-bundle.asf - InvnAlgoASFLib documentation 1.1.1 Documentation on Algo ASF Library.

- Main Page
- Modules
- Data Structures

- Data Structures
- Data Fields

- All
- Variables

- a
- f
- g
- l
- m
- p
- r
- s
- t

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- acc_accuracy : InvnAlgoASFConfig
- acc_accuracy_flag : InvnAlgoASFOutput
- acc_bias_q16 : InvnAlgoASFConfig , InvnAlgoASFOutput
- acc_cal_q16 : InvnAlgoASFOutput , InvnAlgoSampleOutput
- acc_fsr : InvnAlgoASFConfig
- acc_lsb_to_g : InvnAlgoSampleConfig
- acc_odr_us : InvnAlgoASFConfig
- acc_uncal_q16 : InvnAlgoASFOutput

### - f -

- fus_acceleration_rejection : InvnAlgoASFConfig
- fus_high_speed_drift : InvnAlgoASFConfig
- fus_low_speed_drift_roll_pitch : InvnAlgoASFConfig
- fus_low_speed_drift_yaw : InvnAlgoASFConfig
- fus_mag_anomaly_rejection : InvnAlgoASFConfig
- fus_measurement_covariance_acc : InvnAlgoASFConfig
- fus_measurement_covariance_mag : InvnAlgoASFConfig

### - g -

- gravity_q16 : InvnAlgoASFOutput
- grv_quat_q30 : InvnAlgoASFOutput
- gyr_accuracy : InvnAlgoASFConfig
- gyr_accuracy_flag : InvnAlgoASFOutput
- gyr_bias_q16 : InvnAlgoASFConfig , InvnAlgoASFOutput
- gyr_cal_q16 : InvnAlgoASFOutput , InvnAlgoSampleOutput
- gyr_cal_stationary_duration_us : InvnAlgoASFConfig
- gyr_cal_threshold_metric1 : InvnAlgoASFConfig
- gyr_cal_threshold_metric2 : InvnAlgoASFConfig
- gyr_fsr : InvnAlgoASFConfig
- gyr_lsb_to_dps : InvnAlgoSampleConfig
- gyr_odr_us : InvnAlgoASFConfig
- gyr_uncal_q16 : InvnAlgoASFOutput

### - l -

- linear_acc_q16 : InvnAlgoASFOutput

### - m -

- mag_accuracy : InvnAlgoASFConfig
- mag_accuracy_flag : InvnAlgoASFOutput
- mag_bias_q16 : InvnAlgoASFConfig , InvnAlgoASFOutput
- mag_cal_q16 : InvnAlgoASFOutput , InvnAlgoSampleOutput
- mag_lsb_to_uT : InvnAlgoSampleConfig
- mag_odr_us : InvnAlgoASFConfig
- mag_sc_q16 : InvnAlgoASFConfig
- mag_uncal_q16 : InvnAlgoASFOutput
- mask : InvnAlgoASFInput , InvnAlgoASFOutput
- mode_id : InvnAlgoASFConfig

### - p -

- predictive_time_us : InvnAlgoASFConfig

### - r -

- racc : InvnAlgoSampleInput
- rgyr : InvnAlgoSampleInput
- rmag : InvnAlgoSampleInput
- rv_accuracy_q27 : InvnAlgoASFOutput
- rv_predictive_quat_q30 : InvnAlgoASFOutput
- rv_quat_q30 : InvnAlgoASFOutput

### - s -

- sRacc_data : InvnAlgoASFInput
- sRgyr_data : InvnAlgoASFInput
- sRimu_time_us : InvnAlgoASFInput
- sRmag_data : InvnAlgoASFInput
- sRmag_time_us : InvnAlgoASFInput
- sRtemp_data : InvnAlgoASFInput

### - t -

- temp_degC_q16 : InvnAlgoASFOutput
- temp_offset : InvnAlgoASFConfig
- temp_sensitivity : InvnAlgoASFConfig